Operations Management/Tenant Management (Plus)/Ticket Operations
GETTicket OperationsSince 3.0.0SynchronousAuth Required
QueryTicketHistory
QueryTicketHistory
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
This API requires no request parameters.
Responses
Endpoint
GET/zstack/v1/tickets/histories
/zstack/v1/tickets/histories
Request Example
curl -X GET 'http://{host}/zstack/v1/tickets/histories' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "fromStatus": "Pending", "toStatus": "IntermediateApproved", "comment": "approve ticket", "operationContextType": "StatusChanged", "operationContext": { "requestResults": [ { "requestName": "org.zstack.header.vm.APICreateVmInstanceMsg", "successTimes": 1.0, "failureTimes": 0.0, "errors": [] } ] }, "operatorUuid": "f2bf860263bc3856b0c50d712b0d4b7b", "createDate": "Dec 28, 2018 6:38:12 PM", "lastOpDate": "Dec 28, 2018 6:38:12 PM" } ] }Change History
This API has no change history records yet.
